%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           pylastfp
Version:        0.2
Release:        1%{?dist}
Summary:        bindings for Last.fm's acoustic fingerprinting
Group:          Development/Languages
License:        LGPLv2+
URL:            http://pypi.python.org/pypi/pylastfp/
Source0:        https://github.com/downloads/sampsyo/pylastfp/pylastfp-%{version}.tar.gz
# Use the right exception class:
Patch0:         pylastfp-0.2-httpexception.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  fftw-devel
BuildRequires:  libsamplerate-devel
Requires:       gstreamer-python


%description
This is a Python interface to Last.fm's acoustic fingerprinting library
(called fplib) and its related API services. It performs fingerprint
extraction, fingerprint ID lookup, and track metadata lookup. It also
comes with some helpers for decoding audio files.


%prep
%setup -q
%patch0 -p0


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.txt README.rst
%{python_sitearch}/*
%{_bindir}/lastmatch.py


%changelog
* Fri Apr 1 2011 Conrad Meyer <konrad@tylerc.org> - 0.2-1
- First spec
